Bug 1346678 - Review Request: perl-Data-Pageset - Page numbering and page sets
Summary: Review Request: perl-Data-Pageset - Page numbering and page sets
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-15 07:46 UTC by Emmanuel Seyman
Modified: 2016-06-30 08:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-30 08:12:29 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Emmanuel Seyman 2016-06-15 07:46:49 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Data-Pageset/perl-Data-Pageset.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Data-Pageset/perl-Data-Pageset-1.06-1.fc25.src.rpm
Description:
The object produced by Data::Pageset can be used to create page navigation,
it inherits from Data::Page and has access to all methods from this object.

Fedora Account System Username: eseyman
Rpmlint Output: 1 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jitka Plesnikova 2016-06-16 07:53:12 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Data-Pageset-1.06-1.fc25.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.0)
      1 perl(Carp)
      1 perl(Data::Page)
      1 perl(strict)
      1 perl(vars)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Data-Pageset-1.06-1.fc25.noarch.rpm | sort | uniq -c
      1 perl(Data::Pageset) = 1.06
      1 perl-Data-Pageset = 1.06-1.fc25
Binary provides are Ok.

$ rpmlint ./perl-Data-Pageset*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

The package looks good.
Approved

Comment 2 Emmanuel Seyman 2016-06-16 08:54:49 UTC
Thank you, Jikta. Repo requested in pkgdb.

Comment 3 Gwyn Ciesla 2016-06-16 13:07:04 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Data-Pageset


Note You need to log in before you can comment on or make changes to this bug.